Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 598656 - mysql fails to support chained SSL certificates
mysql fails to support chained SSL certificates
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mysql (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Tom Lane
Martin Cermak
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 15:41 EDT by Tom Lane
Modified: 2013-07-02 23:29 EDT (History)
5 users (show)

See Also:
Fixed In Version: mysql-5.1.47-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 601394 (view as bug list)
Environment:
Last Closed: 2010-11-15 09:33:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2010-06-01 15:41:59 EDT
Description of problem:
mysql will only read the first certificate from a server or client SSL certificate file.  This fails to support standard arrangements for using chained certificates (ie, those signed by an intermediate certificate authority rather than directly by a root authority).  It is possible to work around this by listing the intermediate authorities as fully trusted in the ssl-ca file, but that's not the recommended way to do things.  The intermediate authorities' certs ought to be appended to the certificate file, instead.

Version-Release number of selected component (if applicable):
mysql-5.1.47-1

Additional info:
See IT 939373 and discussion at
http://post-office.corp.redhat.com/archives/tech-list/2010-May/msg00506.html
Comment 1 RHEL Product and Program Management 2010-06-01 16:09:00 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Tom Lane 2010-06-01 16:12:36 EDT
Filed upstream at http://bugs.mysql.com/bug.php?id=54158
Comment 9 Martin Cermak 2010-10-20 05:20:05 EDT
Performed only sanity checks. Setting SanityOnly.
Comment 10 releng-rhel@redhat.com 2010-11-15 09:33:19 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.